use chbs::{component::{phrase::BasicPhraseBuilder, word::{FixedWordSetProvider, WordCapitalizer}}, probability::Probability, scheme::Scheme, word::WordList};

fn main() {
    let wordlist = WordList::builtin_eff_general_short();
    let provider = FixedWordSetProvider::new(wordlist.sampler(), 6);
    let styler = WordCapitalizer::new(Probability::half(), Probability::half());
    let builder = BasicPhraseBuilder::new("✨".into());
    let scheme = Scheme::new(
        Box::new(provider),
        vec![Box::new(styler)],
        Box::new(builder),
        Vec::new(),
    );

    println!("{}", scheme.generate());
}
